#ifndef TMDisplayingListNode_H
#define TMDisplayingListNode_H

#include "TMDisplaying.h"

class TMDisplayingListNode {
 public:
  TMDisplayingListNode(TMDisplaying *disp, UInt_t id, UInt_t plotNr, UInt_t cloneId=0);
  virtual ~TMDisplayingListNode();
  
  TMDisplaying* GetDisplayingObj() {return fDisp;}
  UInt_t GetId() {return fId;}
  UInt_t GetPlotNr() {return fPlotNr;}
  UInt_t GetCloneId() {return fCloneId;}

  void SetId(UInt_t id) {fId=id;}
  void SetPlotNr(UInt_t plotnr) {fPlotNr=plotnr;}
  void SetCloneId(UInt_t cloneid) {fCloneId=cloneid;}

 private:
  TMDisplaying* fDisp;
  UInt_t fId;
  UInt_t fPlotNr;
  UInt_t fCloneId;
};

#endif
